summaryrefslogtreecommitdiff
path: root/dev-python/pympler
diff options
context:
space:
mode:
authorPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
committerPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
commitecdac123787b96ce6649f0f91da12ea6458cc2b1 (patch)
treeb89c74d9e6fe6e8aebc4c77bcbeb4ab73214127d /dev-python/pympler
parent1be72aa41cf41dedadeecf59dca9f01de6381f5e (diff)
downloadbaldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.gz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.xz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.zip
Updating liguros repo
Diffstat (limited to 'dev-python/pympler')
-rw-r--r--dev-python/pympler/Manifest1
-rw-r--r--dev-python/pympler/metadata.xml21
-rw-r--r--dev-python/pympler/pympler-0.6.ebuild44
3 files changed, 66 insertions, 0 deletions
diff --git a/dev-python/pympler/Manifest b/dev-python/pympler/Manifest
new file mode 100644
index 000000000000..d392bb939e94
--- /dev/null
+++ b/dev-python/pympler/Manifest
@@ -0,0 +1 @@
+DIST pympler-0.6.tar.gz 267267 BLAKE2B 84a8df3177d0defed949869bec9342beb4336c912be5539c597388207abcbc53fa5218da34b16a872dca804ff559a448dc092b4d33396d570164311c1808765a SHA512 891822ce0a76377d74aa99dd2ce8b21a364084f0bc03ab6d6fe505597a0e182dde459b218dff8e0e6a753e1d88ba9f01b3a4b97be31a20e73a93d6c6fee66e1b
diff --git a/dev-python/pympler/metadata.xml b/dev-python/pympler/metadata.xml
new file mode 100644
index 000000000000..749282dba376
--- /dev/null
+++ b/dev-python/pympler/metadata.xml
@@ -0,0 +1,21 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>python@gentoo.org</email>
+ <name>Python</name>
+ </maintainer>
+ <longdescription>
+Pympler is a development tool to measure, monitor and analyze the memory
+behavior of Python objects in a running Python application. By pympling a
+Python application, detailed insight in the size and the lifetime of Python
+objects can be obtained. Undesirable or unexpected runtime behavior like
+memory bloat and other "pymples" can easily be identified.
+</longdescription>
+ <stabilize-allarches/>
+ <upstream>
+ <remote-id type="pypi">Pympler</remote-id>
+ <remote-id type="github">pympler/pympler</remote-id>
+ </upstream>
+ <origin>gentoo-staging</origin>
+</pkgmetadata>
diff --git a/dev-python/pympler/pympler-0.6.ebuild b/dev-python/pympler/pympler-0.6.ebuild
new file mode 100644
index 000000000000..abcf53a18502
--- /dev/null
+++ b/dev-python/pympler/pympler-0.6.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DISTUTILS_USE_SETUPTOOLS=no
+PYTHON_COMPAT=( python3_{6,7} )
+
+inherit distutils-r1
+
+MY_PN="Pympler"
+MY_P="${MY_PN}-${PV}"
+
+DESCRIPTION="Memory profiling for Python applications"
+HOMEPAGE="https://pypi.org/project/Pympler/ https://github.com/pympler/pympler"
+SRC_URI="https://github.com/pympler/pympler/archive/${PV}.tar.gz -> ${P}.tar.gz"
+# The PyPi tarball is missing the documentation
+#SRC_URI="mirror://pypi/P/${MY_PN}/${MY_P}.tar.gz"
+
+SLOT="0"
+LICENSE="Apache-2.0"
+KEYWORDS="~alpha amd64 arm ~ia64 ppc ppc64 sparc x86 ~amd64-linux ~x86-linux"
+IUSE="doc test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="dev-python/bottle[${PYTHON_USEDEP}]"
+DEPEND="doc? ( dev-python/sphinx[${PYTHON_USEDEP}] )
+ test? ( ${RDEPEND} )"
+
+python_compile_all() {
+ if use doc; then
+ python_setup
+ sphinx-build -b html doc/{source,html} || die
+ fi
+}
+
+python_test() {
+ esetup.py try
+}
+
+python_install_all() {
+ use doc && local HTML_DOCS=( doc/html/. )
+ distutils-r1_python_install_all
+}